Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface RelationshipsType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  RelationshipsTypeImpl

    public interface RelationshipsType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `relationshipsType` xsd type

Original Documentation:

The relationshipsType describes the relationships in
which entity beans with container-managed persistence
participate. The relationshipsType contains an optional
description; and a list of ejb-relation elements, which
specify the container managed relationships.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`EjbRelationType<RelationshipsType<T>>` | `ejbRelation()` Returns the `ejb-relation` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<EjbRelationType<RelationshipsType<T>>>` | `getEjbRelationList()` Returns all `ejb-relation` elements
`RelationshipsType<T>` | `removeAllDescription()` Removes the `description` element
`RelationshipsType<T>` | `removeAllEjbRelation()` Removes all `ejb-relation` elements
`RelationshipsType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RelationshipsType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    RelationshipsType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `RelationshipsType`

### setDescriptionList

    RelationshipsType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RelationshipsType`

### removeAllDescription

    RelationshipsType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `RelationshipsType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### removeAllEjbRelation

    RelationshipsType<T> removeAllEjbRelation()

  Removes all `ejb-relation` elements

  Returns:
    the current instance of `RelationshipsType`

### ejbRelation

    EjbRelationType<RelationshipsType<T>> ejbRelation()

  Returns the `ejb-relation` element

  Returns:
    the node defined for the element `ejb-relation`

### getEjbRelationList

    java.util.List<EjbRelationType<RelationshipsType<T>>> getEjbRelationList()

  Returns all `ejb-relation` elements

  Returns:
    list of `ejb-relation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD